rapidjson::Transcoder< SourceEncoding, TargetEncoding > Struct Template Reference

Encoding conversion. More...

`#include <encodings.h>`

## Static Public Member Functions

template<typename InputStream , typename OutputStream >
static RAPIDJSON_FORCEINLINE bool | Transcode (InputStream &is, OutputStream &os)
| Take one Unicode codepoint from source encoding, convert it to target encoding and put it to the output stream.
template<typename InputStream , typename OutputStream >
static RAPIDJSON_FORCEINLINE bool | Validate (InputStream &is, OutputStream &os)
| Validate one Unicode codepoint from an encoded stream.

## Detailed Description

### template<typename SourceEncoding, typename TargetEncoding>
struct rapidjson::Transcoder< SourceEncoding, TargetEncoding >

Encoding conversion.

The documentation for this struct was generated from the following file:

- include/rapidjson/encodings.h